/*
 * Copyright (C) 2016  Roman Pauer
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __DSPTILES_H__
#define __DSPTILES_H__

typedef struct {
  int w, h;

  int bytes_per_pixel, has_alpha;
  int pitch;
  void *pixels;
  void *dsp;
  unsigned int dsp_offset;
} dsptiles_surface;

int dsptiles_init(SDL_Surface* screen);
void dsptiles_quit(void);

dsptiles_surface *dsptiles_add_surface(SDL_Surface* surface);
int dsptiles_free_surface(dsptiles_surface *surface);

int dsptiles_blit_surface(dsptiles_surface *src, SDL_Rect *srcrect, SDL_Rect *dstrect);
int dsptiles_rectangle_filled(SDL_Rect *dstrect, uint32_t color, int alpha);
int dsptiles_rectangle(SDL_Rect *dstrect, uint32_t color);
int dsptiles_line(int x1, int y1, int x2, int y2, uint32_t color);

int dsptiles_flip(SDL_Surface* screen);
int dsptiles_flip_start(SDL_Surface* screen);
int dsptiles_flip_finish(SDL_Surface* screen);

#endif /* __DSPTILES_H__ */

