#!/bin/sh
# preprocessor definitions:
# PANDORA - use Pandora specific stuff
# USE_OPENGL - use OpenGL rendering instead of SDL
# USE_PANDORA_DSP - use Pandora DSP rendering instead of SDL
# USE_FONT_SURFACE - use font surfaces to draw texts - needed for OpenGL and Pandora DSP rendering
# SKIP_REFRESH - use frame skipping - needed on Pandora for playable speed
# SHOW_FPS - on Pandora show fps in Live system info

# PC builds:
#gcc -Wall -g -fsigned-char -ftree-vectorize -Ofast game.c thing.c physics.c -o beret `sdl-config --cflags` `sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_mixer -lm
#gcc -DUSE_FONT_SURFACE -Wall -g -fsigned-char -ftree-vectorize -Ofast game.c thing.c physics.c -o beret `sdl-config --cflags` `sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_mixer -lm
#gcc -DUSE_OPENGL -DUSE_FONT_SURFACE -Wall -g -fsigned-char -ftree-vectorize -Ofast game.c thing.c physics.c -o beret `sdl-config --cflags` `sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_mixer -lm -lGL

# Pandora builds:
export PATH=$PNDSDK/bin:$PNDSDK/usr/bin:$PATH
#pandora-gcc -DPANDORA -DSKIP_REFRESH -DSHOW_FPS -pipe -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -Wall -g -fsigned-char -ftree-vectorize -Ofast game.c thing.c physics.c -o beret `sdl-config --cflags` `sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_mixer -lm
#pandora-gcc -DPANDORA -DSKIP_REFRESH -DUSE_FONT_SURFACE -DSHOW_FPS -pipe -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -Wall -g -fsigned-char -ftree-vectorize -Ofast game.c thing.c physics.c -o beret `sdl-config --cflags` `sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_mixer -lm
#pandora-gcc -DPANDORA -DUSE_OPENGL -DSKIP_REFRESH -DUSE_FONT_SURFACE -DSHOW_FPS -pipe -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -Wall -g -fsigned-char -ftree-vectorize -Ofast -I$PNDSDK/usr/include game.c thing.c physics.c -o beret `sdl-config --cflags` `sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_mixer -lm -L./lib -lGL
pandora-gcc -DPANDORA -DUSE_PANDORA_DSP -DSKIP_REFRESH -DUSE_FONT_SURFACE -DSHOW_FPS -pipe -march=armv7-a -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -Wall -g -fsigned-char -ftree-vectorize -Ofast -Idsptiles game.c thing.c physics.c dsptiles/dsptiles.c -o beret `sdl-config --cflags` `sdl-config --libs` -lSDL_image -lSDL_ttf -lSDL_mixer -lm -L./lib -lc64
